Bug 139348 - unix2dos Fails when current folder is not on same filesystem as subject
Summary: unix2dos Fails when current folder is not on same filesystem as subject
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: unix2dos (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 14:28 UTC by David Sheldon
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 00:43:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Sheldon 2004-11-15 14:28:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040924
Firefox/0.10

Description of problem:
If you are not on the same filesystem, the rename after processing the
file will fail, leaving the output in the temp file, and the original
file deleted.




Version-Release number of selected component (if applicable):
2.2-21

How reproducible:
Always

Steps to Reproduce:
1. change to somewhere on a filesystem different from /tmp (but to
which you have write access)
2. touch /tmp/filename
3. unix2dos /tmp/filename
    

Actual Results:  [dws@stour dws]$ unix2dos /tmp/BAZ 
unix2dos: converting file /tmp/BAZ to DOS format ...
unix2dos: problems renaming './u2dtmpqOAaGp' to '/tmp/BAZ'
          output file remains in './u2dtmpqOAaGp'
unix2dos: problems converting file /tmp/BAZ
[dws@stour dws]$ ls -l /tmp/BAZ
ls: /tmp/BAZ: No such file or directory

Expected Results:  [dws@stour dws]$ unix2dos /tmp/BAZ 
unix2dos: converting file /tmp/BAZ to DOS format ...


Additional info:

Comment 1 Mike A. Harris 2005-02-09 00:43:21 UTC
Fixed in Fedora Core 3 and newer.

Setting status to "CURRENTRELEASE"


Note You need to log in before you can comment on or make changes to this bug.